Subject: Re: [nemo] Combining / separate Prefix Delegation drafts

From: Thierry Ernst <[email-masked]>
Date: Fri, 4 Mar 2005 20:23:47 +0900

Dear all,

No body replied this mail from TJ, so it may denote a lack of interest
to yet an important question. I think we can reasonably think that lack
of any form of reply means rough approval, so I would agree with moving
these documents as WG documents. There is just one detail that I would
like to clarify:

The second draft mentioned by TJ below is indeed

DHCPv6 Prefix Delegation for NEMO
http://www.mobilenetworks.org/nemo/drafts/draft-droms-nemo-dhcpv6-pd-01.txt
Authors: Ralph Droms and Pascal Thubert

This draft was last posted in February 6, 2004 and is therefore
outdated, and unavailable from the IETF I-D repository. So, before
advancing it as a NEMO WG document, my questions to the authors would
be:

- is there any intention to continue the work on this document ?

- will the optimization part be removed of the draft as requested during
a former NEMO WG meeting ?

Thierry

On Fri, 4 Feb 2005 13:52:47 -0800
"T.J.Kniveton" <[email-masked]> wrote:

> At the last IETF, I presented the draft on Prefix Delegation, and
> there  was no clear consensus whether that draft should be combined
> with the  existing DHCPv6 PD draft, or they should be advanced as 2
> separate WG  drafts. Please make any comments on that now.
> 
> Here is the excerpt from the minutes:
> 
> > 6.  Prefix Delegation .........................................
> > 10mins
> >      TJ Kniveton
> >
> >      draft-kniveton-nemo-prefix-delegation-00.txt
> >
> >      Prefix delegation is included in the charter of the WG
> >      This draft is augmenting the work done by R. Droms
> >      The goal is to use NEMO signaling for prefix delegation
> >      New protocol elements are defined to carry prefix requests
> >      Both Transient (CoA) and Persistent (HoA) prefixes are
> >      considered This approach complements DHCP methods.
> >      NEMO signaling has some additional mobility related attributes
> >      and NEMO based approaches might save flows
> >      Question to the wg is: Is the WG interested in DHCPv6 only
> >      method? Does it make sense to merge this approach with DHCPv6?
> >
> >      Questions:
> >      ----------
> >
> >      Vijay: I don't agree with statement that the two approaches are
> >      complementary. DHCP can provide a complete solution.
> >      TJ: You can have a solution with only DHCP, but there are some
> >      nemo specifics elements missing. You can also have a solution
> >      using only nemo signaling also. So there are three options only
> >      NEMO, DHCP, hybrid.
> >      Vijay: Could we have two proposed methods, where we just have
> >      the DHCPv6, and the other with this apporach?
> >      TJ: We could consider this options. Opinions from the WG?
> >      Pascal: The motivation part of the draft says clearly why we
> >      need this so please read it if you haven't.
> >      Pascal: Do we need to merge this or separate is fine?
> >      Vijay: Separate is fine
> >      TJ: No sense from the room. We proceed working with Ralph and
> >      Pascal and figure out how to integrate those, since there is
> >      no sense from the room
> >      Vidya: MIP6 agreed on using NAI for HoA, are we just relying
> >      on MIP6 for whatever they decide?
> >      TJ: NEMO is an extension on MIP6, whatever agreement HA and MN
> >      have, they'll be a parallel set of rules for MR
> >      Vidya: There needs to be a way for authorizing MR say it's
> >      acceptable to own this prefix
> >      TJ: This is an implementation/policy decision, how do we decide
> >      MR allowed to use a HoA? The  same thing happen with prefixes.
> >      TJ: In conclusion, since there's really no strong oppinion. We
> >      could advance both of these documents (DHCP based and NEMO
> >      based) as WG items.
> >      Ryuji: Both mechanisms are statefull, do we need two statefull
> >      mechanisms? Do we need a stateless mechanism?
> >      Erik: This draft will be a wg but i can't find the draft in
> >      id directory
> >      TJ: It was submitted late and it is not in directory
> >      TJ: Ralph's draft is expired
> 

-- 
Thierry Ernst, PhD
WIDE, Jun Murai Lab., Keio University, Japan
Nautilus6 Chair: http://www.nautilus6.org
Web: http://www.sfc.wide.ad.jp/~ernst/
T:+81-44-580-1600 F:+81-44-580-1437
--

---

From: Ralph Droms <[email-masked]>
Date: Fri, 04 Mar 2005 06:24:34 -0500

Thierry - I do intend to continue work on the doc (and please accept my 
apologies for not following up sooner).  We will remove the optimization 
part and publish a revision.

- Ralph

---

From: "T.J.Kniveton" <[email-masked]>
Date: Fri, 4 Mar 2005 14:40:48 -0800

Is anyone else interested in implementing the prefix delegation from 
draft-kniveton-nemo-prefix-delegation-00 in the near future? I am in 
the process of implementing it right now on the HA and would like to 
test with an MR or two.

TJ